;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian cvc3-el package
;;
;; Based on cmuscheme48-el.emacsen-startup by:
;;   Nils Naumann <naumann@unileoben.ac.at>
;;   Dirk Eddelbuettel <edd@debian.org>
;;   Jim Van Zandt <jrv@vanzandt.mv.com>
;;
;; Modified for cvc3-el by Christopher Conway <cconway@cs.nyu.edu>

;; The package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...). The compiled code is then
;; installed in a subdirectory of the respective site-lisp
;; directory. We have to add this to the load-path. We also add the
;; source directory so that C-h f can find it.
(let* ((package-dir (concat "/usr/share/"
                            (symbol-name flavor)
                            "/site-lisp/cvc3-el"))
       (source-dir "/usr/share/emacs/site-lisp/cvc3-el")
       (file (concat package-dir "/cvc-mode.elc")))
  (when (file-directory-p package-dir)
    (add-to-list 'load-path source-dir)
    (add-to-list 'load-path package-dir)))

(autoload 'cvc-mode "cvc-mode" "CVC specifications editing mode." t)
(setq auto-mode-alist 
      (append  (list '("\\.cvc$" . cvc-mode)) auto-mode-alist))
